NL(1)

NUME
nl - numerotează liniile din fișiere

REZUMAT
nl [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Scrie fiecare FIȘIER la ieșirea standard, adăugând numerele de linie.

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

Argumentele obligatorii pentru opțiunile lungi sunt de asemenea obligatorii pentru opțiunile scurte.

-b, --body-numbering=STIL
    utilizează STIL pentru a numerota liniile corpului

-d, --section-delimiter=CC
    utilizează CC pentru delimitatorii logici de pagină

-f, --footer-numbering=STIL
    utilizează STIL pentru a numerota liniile de subsol

-h, --header-numbering=STIL
    utilizează STIL pentru a numerota liniile antetului

-i, --line-increment=NUMĂR
    incrementează numărul de rând la fiecare linie

-l, --join-blank-lines=NUMĂR
    grupează NUMĂRul de linii goale numărându-le ca fiind una

-n, --number-format=FORMAT
    inserează numere de rând conform FORMAT

-p, --no-renumber
    nu reinițializează numerotarea numerelor de rând pentru fiecare secțiune

-s, --number-separator=ȘIR
    adaugă ȘIR după numărul de rând

-v, --starting-line-number=NUMĂR
    numărul primului rând pentru fiecare secțiune

-w, --number-width=NUMĂR
    utilizează NUMĂR coloane pentru numerele de rând

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Opțiunile implicite sunt: -bt -d'\:' -fn -hn -i1 -l1 -n'rn' -s<TAB> -v1 -w6

CC sunt două caractere de delimitare utilizate pentru a construi delimitatori logici de pagină; un al doilea caracter lipsă implică „:”. Ca o extensie GNU, se pot specifica mai mult de două caractere și, de asemenea, specificarea șirului gol (-d ”) dezactivează potrivirea secțiunilor.

STIL este unul dintre:

a   numerotează toate liniile

t   numerotează doar liniile care nu sunt goale

n   nu numerotează liniile

pERB
    numerotează numai liniile care conțin o potrivire pentru expresia regulată de bază, ERB

FORMATUL este unul dintre următoarele:

ln  aliniat la stânga, fără zerouri de început

rn  aliniat la dreapta, fără zerouri de început

rz  aliniat la dreapta, cu zerouri de început

AUTOR
Scris de Scott Bartram și David MacKenzie.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2022 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/nl>
sau local rulând comanda: «info '(coreutils) ln invocation'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.